std::allocator< void > Class Reference
Utilities » Memory » Allocators

`#include <allocator.h>`

## Public Types

typedef const void * | const_pointer
typedef ptrdiff_t | difference_type
typedef true_type | is_always_equal
typedef void * | pointer
typedef true_type | propagate_on_container_move_assignment
typedef size_t | size_type
typedef void | value_type

## Public Member Functions

template<typename _Up , typename... _Args>
void | construct (_Up *__p, _Args &&... __args) noexcept(std::is_nothrow_constructible< _Up, _Args... >::value)
template<typename _Up >
void | destroy (_Up *__p) noexcept(std::is_nothrow_destructible< _Up >::value)

## Detailed Description

allocator<void> specialization.

Definition at line 68 of file allocator.h.

## Member Typedef Documentation

## const_pointer

typedef const void* std::allocator< void >::const_pointer

Definition at line 74 of file allocator.h.

## difference_type

typedef ptrdiff_t std::allocator< void >::difference_type

Definition at line 72 of file allocator.h.

## is_always_equal

typedef true_type std::allocator< void >::is_always_equal

Definition at line 86 of file allocator.h.

## pointer

typedef void* std::allocator< void >::pointer

Definition at line 73 of file allocator.h.

## propagate_on_container_move_assignment

typedef true_type std::allocator< void >::propagate_on_container_move_assignment

Definition at line 84 of file allocator.h.

## size_type

typedef size_t std::allocator< void >::size_type

Definition at line 71 of file allocator.h.

## value_type

typedef void std::allocator< void >::value_type

Definition at line 75 of file allocator.h.

## Member Function Documentation

## construct()

template<typename _Up , typename... _Args>

void std::allocator< void >::construct | ( | _Up * | __p,
|  | _Args &&... | __args
| ) |  |

inline noexcept

Definition at line 90 of file allocator.h.

## destroy()

template<typename _Up >

void std::allocator< void >::destroy | ( | _Up * | __p | ) |

inline noexcept

Definition at line 96 of file allocator.h.

The documentation for this class was generated from the following file:

- allocator.h